import 'package:flutter/material.dart';
import 'package:senior_design_system/senior_design_system.dart';
import '../page_wrapper.dart';

class BalanceExample extends StatelessWidget {
  const BalanceExample({ Key? key }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Balance Example',
      content: Padding(
        padding: const EdgeInsets.all(16.0),
        child: SeniorBalance(
          expenseLabel: 'Despesa',
          expenseValue: '145.743.187,57',
          revenueLabel: 'Receita',
          revenueValue: '145.743.187,57',
          moneySign: 'R\$',
        ),
      ),
    );
  }
}
