import 'package:flutter/material.dart';
import 'package:senior_design_tokens/senior_design_tokens.dart';

class SeniorLoading extends StatelessWidget {
  final double? value;
  final String? semanticsLabel;
  final String? semanticsValue;

  const SeniorLoading({
    Key? key,
    this.value,
    this.semanticsLabel,
    this.semanticsValue,
  }) : super(
    key: key
  );

  @override
  Widget build(BuildContext context) {
    return CircularProgressIndicator(
      value: value,
      semanticsLabel: semanticsLabel,
      semanticsValue: semanticsValue,    
      color: SeniorColors.primaryColor500,
    );
  }
}